[pcre-dev] [Bug 1215] New: JIT does not build under QNX (mad…

Top Page

Reply to this message
Author: Giuseppe D'Angelo
Date:  
To: pcre-dev
Subject: [pcre-dev] [Bug 1215] New: JIT does not build under QNX (madvise)
------- You are receiving this mail because: -------
You are on the CC list for the bug.

http://bugs.exim.org/show_bug.cgi?id=1215
           Summary: JIT does not build under QNX (madvise)
           Product: PCRE
           Version: 8.30
          Platform: Other
        OS/Version: Linux
            Status: NEW
          Severity: bug
          Priority: medium
         Component: Code
        AssignedTo: ph10@???
        ReportedBy: dangelog@???
                CC: pcre-dev@???



The attached patch to sljitUtils.c fixes it: it simply uses posix_madvise
instead of madvise.


--
Configure bugmail: http://bugs.exim.org/userprefs.cgi?tab=email